Skip to main content
`Ctrl`+`K`

# DMPlexSetAdjacencyUseAnchors

Define adjacency in the mesh using the point-to-point constraints.

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexSetAdjacencyUseAnchors(DM dm, PetscBool useAnchors)

## Input Parameters

- dm - The `DM` object

- useAnchors - Flag to use the constraints. If PETSC_TRUE, then constrained points are omitted from DMPlexGetAdjacency(), and their anchor points appear in their place.

## See Also

`DMPLEX`, `DMGetAdjacency()`, `DMSetAdjacency()`, `DMPlexDistribute()`, `DMPlexPreallocateOperator()`, `DMPlexSetAnchors()`

## Level

intermediate

## Location

src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages